View Issue Details

IDProjectCategoryView StatusLast Update
0003459Ham Radio DeluxeEnhancementpublic2019-11-08 02:32
Reporterg3ucqAssigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionreopened 
PlatformPCOSWindowsOS Version10 64 bit Home
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003459: Add a frequency scale under the signals to the Panadapter window
DescriptionAdd a frequency scale under the signals.
Steps To ReproduceOpen Rig Control/Tools/Panadapter(Main)
There is no frequency scale under the signals, just frequencies at either end of the window.
See the image from N1MM+
TagsNo tags attached.
ModuleRig Control
Sub-ModulePanadapter
TestingNot Started

Relationships

related to 0002775 closedK7ZCZ Add Icom panadapter application to suite 

Activities

g3ucq

2019-09-25 10:40

viewer  

N1MM.jpg (81,450 bytes)
N1MM.jpg (81,450 bytes)

g3ucq

2019-09-25 10:50

viewer   ~0008663

Also please make the font for the frequencies larger as for N1MM+.

K7ZCZ

2019-09-25 17:19

administrator   ~0008674

John, please open a separate Mantis issue for the font suggestion. It's important to keep mantis issues as atomic as possible to facilitate tracking of the work.

K7ZCZ

2019-10-12 18:40

administrator   ~0008793

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5203

g3ucq

2019-10-23 03:24

viewer   ~0008910

I do not see a frequency scale as the N1MM version. Just a frequency at either end of the window.

panadapter.jpg (55,644 bytes)
panadapter.jpg (55,644 bytes)

WA9PIE

2019-10-23 07:13

administrator   ~0008953

Fixed... or not fixed?

g3ucq

2019-10-23 07:15

viewer   ~0008955

Not fixed for me. Frequencies should be along the scale as for the N1MM window.

WA9PIE

2019-10-23 07:38

administrator   ~0008963

Validation failed per G3UCQ (thanks John)

K7ZCZ

2019-10-23 11:14

administrator   ~0008981

The capture in note 8910 here clearly shows the scales added. The top scale appears below the live waveform and above the frequency axis legend. The bottom scale appears below the spots area and above the waterfall.

If it's really more labels in the frequency axis that were desired, then I think it would be best to issue a separate Mantis issue with details of the specific request and what is expected. The request here, for scales on the frequency axis, has been implemented and appears to be working.

g3ucq

2019-10-23 11:33

viewer   ~0008983

I provided the N1MM+ image to illustrate how I would like the frequency scale to look.
I do not see why another Mantis is required.

WA9PIE

2019-10-29 16:25

administrator   ~0009081

The stated purpose of this Mantis issue is to "Add a frequency scale under the signals to the Panadapter window". Have we done that? It was in the original mock-ups in the functional spec.

As for the font size topic... that seems like a different topic and we probably should have another Mantis for it.

g3ucq

2019-10-29 16:52

viewer   ~0009094

There are divisions under the signals but surely the frequency should appear along the scale at intervals as on the measurements on a ruler. I have already created a Mantis for font sizes and that has been addressed.

g3ucq

2019-11-06 04:02

viewer   ~0009153

Is it necessary to have the frequency to 3 decimal places?
Should I open another Mantis for that?

K7ZCZ

2019-11-06 04:41

administrator   ~0009159

Yes, please

Issue History

Date Modified Username Field Change
2019-09-25 10:40 g3ucq New Issue
2019-09-25 10:40 g3ucq File Added: N1MM.jpg
2019-09-25 10:50 g3ucq Note Added: 0008663
2019-09-25 17:19 K7ZCZ Note Added: 0008674
2019-09-25 17:25 K7ZCZ Relationship added related to 0002775
2019-09-25 17:26 K7ZCZ Summary Panadapter enhancement => Add a frequency scale under the signals to the Panadapter window
2019-10-12 18:40 K7ZCZ Assigned To => K7ZCZ
2019-10-12 18:40 K7ZCZ Status new => resolved
2019-10-12 18:40 K7ZCZ Resolution open => fixed
2019-10-12 18:40 K7ZCZ Note Added: 0008793
2019-10-21 17:03 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2019-10-21 17:05 K7ZCZ Fixed in Version => 6.7.0.235
2019-10-23 03:24 g3ucq File Added: panadapter.jpg
2019-10-23 03:24 g3ucq Note Added: 0008910
2019-10-23 07:13 WA9PIE Note Added: 0008953
2019-10-23 07:15 g3ucq Note Added: 0008955
2019-10-23 07:38 WA9PIE Status resolved => feedback
2019-10-23 07:38 WA9PIE Resolution fixed => reopened
2019-10-23 07:38 WA9PIE Fixed in Version 6.7.0.235 =>
2019-10-23 07:38 WA9PIE Sub-Module (select) => Panadapter
2019-10-23 07:38 WA9PIE Note Added: 0008963
2019-10-23 11:14 K7ZCZ Status feedback => resolved
2019-10-23 11:14 K7ZCZ Note Added: 0008981
2019-10-23 11:33 g3ucq Note Added: 0008983
2019-10-29 15:52 K7ZCZ Fixed in Version => 6.7.0.239
2019-10-29 16:25 WA9PIE Note Added: 0009081
2019-10-29 16:52 g3ucq Note Added: 0009094
2019-11-06 04:02 g3ucq Note Added: 0009153
2019-11-06 04:41 K7ZCZ Note Added: 0009159
2019-11-08 02:10 WA9PIE Fixed in Version 6.7.0.239 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe